Debian Bug report logs - #447937
live-initramfs: scripts/live does not allocate enough memory for .tgz images

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Cyril Bouthors <cyb@cyril.bouthors.org>

Date: Wed, 24 Oct 2007 21:30:03 UTC

Owned by: cyb@debian.org

Severity: normal

Found in version live-initramfs/1.110.2-1

Fixed in version 1.157.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyb@debian.org>, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#447937; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyb@cyril.bouthors.org>:
New Bug report received and forwarded. Copy sent to Cyril Bouthors <cyb@debian.org>, Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyb@cyril.bouthors.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: scripts/live does not allocate enough memory for .tgz images
Date: Wed, 24 Oct 2007 23:08:16 +0200
Package: live-initramfs
Version: 1.110.2-1
Severity: important

Hi,

I'm using compressed .tgz images with the 'fetch' option, my image is
140MB long when compressed and 405MB when uncompressed. The script
/usr/share/initramfs-tools/scripts/live fails booting because it only
allocates 150MB of memory for the image instead of 405MB.

Here's what happens exactly :

Begin: Copying live media to ram ...
+ copy_live_to /live/image ram
+ copyfrom=/live/image
+ copytodev=ram
+ copyto=/live/image_swap
+ [ -z  ]
+ fs_size  /live/image used
+ dev=
+ mountp=/live/image
+ used=used
+ [ -z /live/image ]
+ [ used = used ]
+ du -ks /live/image
+ cut -f1
+ size=142856
+ expr 142856 + 142856 / 20
+ size=149998
+ [ -n  ]
+ echo 149998
+ size=149998
  ^^^^^^^^^^^

+ [ ram = ram ]
+ awk /MemFree/{print $2} /proc/meminfo
+ cat /proc/meminfo
+ grep Cached
+ awk /Cached/{print $2} -
+ head -n 1
+ expr 12018460 + 164728
+ freespace=12183188
+ mount_options=-o size=149998k
+ free_string=memory
+ fstype=tmpfs
+ dev=/dev/shm
+ [ 12183188 -lt 149998 ]
+ mkdir /live/image_swap
+ echo mount -t tmpfs -o size=149998k /dev/shm /live/image_swap
mount -t tmpfs -o size=149998k /dev/shm /live/image_swap
+ mount -t tmpfs -o size=149998k /dev/shm /live/image_swap
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

+ [ tgz = tgz ]
+ cd /live/image_swap
+ basename http://10.0.0.42/tmp/filesystem.tgz
+ tar zxf /live/image/live/filesystem.tgz
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

tar: Write Error: No space left on device
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

tar: Write Error: No space left on device
tar: Write Error: No space left on device
tar: Write Error: No space left on device
tar: Write Error: No space left on device
tar: Write Error: No space left on device
tar: Write Error: No space left on device
tar: Invalid tar magic

I've hackily fixed this by locally commenting the line 564 of
scripts/live, which is:

                mount_options="-o size=${size}k"

but we need a better fix :)

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-vserver-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.1.3-5  Tiny utilities for small and embed
ii  file                          4.21-3     Determines file type using "magic"
ii  initramfs-tools               0.91a      tools for generating an initramfs
ii  sudo                          1.6.8p12-6 Provide limited super user privile
ii  user-setup                    1.16       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  eject                         2.1.5-5    ejects CDs and operates CD-Changer
pn  live-initscripts              <none>     (no description available)
ii  wget                          1.10.2-3   retrieves files from the web

-- no debconf information




Owner recorded as cyb@debian.org. Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2007 23:18:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>, cyb@debian.org:
Bug#447937; Package live-initramfs. (Sun, 23 Nov 2008 17:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>, cyb@debian.org. (Sun, 23 Nov 2008 17:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 447937@bugs.debian.org (full text, mbox):

From: Panthera Systems <debian@panthera-systems.net>
To: 447937@bugs.debian.org, 447937-submitter@bugs.debian.org
Subject: Re: live-initramfs: scripts/live does not allocate enough memory for .tgz images
Date: Sun, 23 Nov 2008 18:29:56 +0100
severity 447937 normal
tags 447937 +pending

Hi,

first of all, having .tgz supported through fetch= was a workaround.
using fetch to get a remote squashfs image is much better (doesn't need
to be uncompressed makes it faster and wasting less ram).

second, solving the problem of not knowing how much the uncompressed
tarball will need isn't really fixable in a sophisticated way either
(sort of chicken-egg; and introducing some meta-data that contains the
size isn't worth it either).

therefore, i'm removing tgz support, nobody was really using this as far
as i remember anyway (i was mainly advocating it because mksquashfs is
taking so long and using tarballs is faster for testing many images in a
row).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to `normal' from `important' Request was from Panthera Systems <debian@panthera-systems.net> to control@bugs.debian.org. (Sun, 23 Nov 2008 17:36:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Panthera Systems <debian@panthera-systems.net> to control@bugs.debian.org. (Sun, 23 Nov 2008 17:36:05 GMT) Full text and rfc822 format available.

Message sent on to Cyril Bouthors <cyb@cyril.bouthors.org>:
Bug#447937. (Sun, 23 Nov 2008 17:36:08 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 15 Jun 2009 09:18:04 GMT) Full text and rfc822 format available.

Notification sent to Cyril Bouthors <cyb@cyril.bouthors.org>:
Bug acknowledged by developer. (Mon, 15 Jun 2009 09:18:05 GMT) Full text and rfc822 format available.

Message #24 received at 447937-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 447937-done@bugs.debian.org
Subject: live-initramfs: scripts/live does not allocate enough memory for .tgz images
Date: Mon, 15 Jun 2009 11:16:53 +0200
Version: 1.157.2-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jul 2009 07:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:06:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.